diff --git a/Makefile b/Makefile
index 1bd69d7117ef9156b3b0dbeb1e83965cd8df26bb..8302a9c6739411af575867d689751122da3b67d7 100644
--- a/Makefile
+++ b/Makefile
@@ -15,6 +15,9 @@ prepare-dev-env: support db dev-config
 support:
 	$(TOP)/sbin/dm_install_support.sh
 
+support-daq:
+	$(TOP)/sbin/dm_install_support.sh daq
+
 dev-config:
 	$(TOP)/sbin/dm_prepare_dev_config.sh
 
diff --git a/sbin/dm_install_support.sh b/sbin/dm_install_support.sh
old mode 100755
new mode 100644
index 549164fd427800d0f17b422f795d56afd4a228c3..b1c81194ce7531b86b47b65815f40e36920aa9a2
--- a/sbin/dm_install_support.sh
+++ b/sbin/dm_install_support.sh
@@ -1,7 +1,22 @@
 #!/bin/sh
 
+# Invoke this script either with "all" or "daq" arguments.
+
+usage() {
+    echo "Usage: $0 all|daq"
+}
+
 DM_SVN_URL=https://subversion.xray.aps.anl.gov/DataManagement
 
+supportType=all
+if [ ! -z "$1" ]; then
+    supportType=$1
+fi
+if [ $supportType != "all" -a $supportType != "daq" ]; then
+    usage
+    exit 1
+fi
+
 MY_DIR=`dirname $0` && cd $MY_DIR && MY_DIR=`pwd`
 if [ -z "${DM_ROOT_DIR}" ]; then
     DM_ROOT_DIR=$MY_DIR/..
@@ -21,8 +36,8 @@ if [ ! -d $DM_SUPPORT_DIR ]; then
 fi
 cd $DM_SUPPORT_DIR
 execute svn update
-execute $DM_SUPPORT_DIR/bin/clean_all.sh
-execute $DM_SUPPORT_DIR/bin/install_all.sh
+execute $DM_SUPPORT_DIR/bin/clean_support_all.sh
+execute $DM_SUPPORT_DIR/bin/install_support_${supportType}.sh
 
 if [ ! -d $DM_DATA_DIR ]; then
     echo "Creating data directory"